// semenInRussia 2025
#include <algorithm>
#include <cassert>
#include <cstdint>
#include <iostream>
#include <map>
#include <vector>
using namespace std;
#define nl '\n'

const int N = 2005;
vector<int> g[N];

const int mod = 1e9 + 7;

int pow(int x, int k) {
  int ans = 1;
  while (k) {
    if (k & 1) {
      ans = 1ll * ans * x % mod;
    }
    x = 1ll * x * x % mod;
    k >>= 1;
  }
  return ans;
}

int col[N];
int sz[N];

// int dfs(int x) { // return start of cycle
//   col[x] = 1;    // in process
//   for (int y : g[x]) {
//   }
// }

int main() {
  int n, m, tg;
  cin >> n >> m >> tg;
  for (int i = 0; i < m; i++) {
    int x, y;
    cin >> x >> y;
    --x, --y;
    g[x].push_back(y);
  }
  cout << "1 -1";
}